Index: stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/xsd/qandaset.xsd
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/xsd/qandaset.xsd	(revision 15c7d39533a1eb1da0748011f3378fd0f02ed14d)
+++ stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/xsd/qandaset.xsd	(revision 15c7d39533a1eb1da0748011f3378fd0f02ed14d)
@@ -0,0 +1,188 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  This file is part of DocBook V5.0
+  
+  Copyright 1992-2008 HaL Computer Systems, Inc.,
+  O'Reilly & Associates, Inc., ArborText, Inc., Fujitsu Software
+  Corporation, Norman Walsh, Sun Microsystems, Inc., and the
+  Organization for the Advancement of Structured Information
+  Standards (OASIS).
+  
+  Release: $Id: qandaset.rnc 8931 2010-10-20 13:29:20Z nwalsh $
+  
+  Permission to use, copy, modify and distribute the DocBook schema
+  and its accompanying documentation for any purpose and without fee
+  is hereby granted in perpetuity, provided that the above copyright
+  notice and this paragraph appear in all copies. The copyright
+  holders make no representation about the suitability of the schema
+  for any purpose. It is provided "as is" without expressed or implied
+  warranty.
+  
+  If you modify the DocBook schema in any way, label your schema as a
+  variant of DocBook. See the reference documentation
+  (http://docbook.org/tdg5/en/html/ch05.html#s-notdocbook)
+  for more information.
+  
+  Please direct all questions, bug reports, or suggestions for changes
+  to the docbook@lists.oasis-open.org mailing list. For more
+  information, see http://www.oasis-open.org/docbook/.
+  
+  ======================================================================
+-->
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="http://docbook.org/ns/docbook" xmlns:dbs="http://docbook.org/ns/docbook-slides" xmlns:db="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink">
+  <xs:import namespace="http://docbook.org/ns/docbook-slides" schemaLocation="slides.xsd"/>
+  <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="xlink.xsd"/>
+  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.qandaset.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:simpleType name="db.qandaset.defaultlabel.enumeration">
+    <xs:restriction base="xs:token">
+      <xs:enumeration value="none">
+        <xs:annotation>
+          <xs:documentation>No labels</xs:documentation>
+        </xs:annotation>
+      </xs:enumeration>
+      <xs:enumeration value="number">
+        <xs:annotation>
+          <xs:documentation>Numeric labels</xs:documentation>
+        </xs:annotation>
+      </xs:enumeration>
+      <xs:enumeration value="qanda">
+        <xs:annotation>
+          <xs:documentation>"Q:" and "A:" labels</xs:documentation>
+        </xs:annotation>
+      </xs:enumeration>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:attributeGroup name="db.qandaset.defaultlabel.attribute">
+    <xs:attribute name="defaultlabel" use="required" type="db:db.qandaset.defaultlabel.enumeration"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.qandaset.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+    <xs:attribute name="defaultlabel" type="db:db.qandaset.defaultlabel.enumeration"/>
+  </xs:attributeGroup>
+  <xs:group name="db.qandaset.info">
+    <xs:sequence>
+      <xs:group ref="db:db._info.title.only"/>
+    </xs:sequence>
+  </xs:group>
+  <xs:element name="qandaset">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:group ref="db:db.qandaset.info"/>
+        <xs:group minOccurs="0" maxOccurs="unbounded" ref="db:db.all.blocks"/>
+        <xs:choice>
+          <xs:element maxOccurs="unbounded" ref="db:qandadiv"/>
+          <xs:element maxOccurs="unbounded" ref="db:qandaentry"/>
+        </xs:choice>
+      </xs:sequence>
+      <xs:attributeGroup ref="db:db.qandaset.attlist"/>
+    </xs:complexType>
+  </xs:element>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.qandadiv.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.qandadiv.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+  </xs:attributeGroup>
+  <xs:group name="db.qandadiv.info">
+    <xs:sequence>
+      <xs:group ref="db:db._info.title.only"/>
+    </xs:sequence>
+  </xs:group>
+  <xs:element name="qandadiv">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:group ref="db:db.qandadiv.info"/>
+        <xs:group minOccurs="0" maxOccurs="unbounded" ref="db:db.all.blocks"/>
+        <xs:choice>
+          <xs:element maxOccurs="unbounded" ref="db:qandadiv"/>
+          <xs:element maxOccurs="unbounded" ref="db:qandaentry"/>
+        </xs:choice>
+      </xs:sequence>
+      <xs:attributeGroup ref="db:db.qandadiv.attlist"/>
+    </xs:complexType>
+  </xs:element>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.qandaentry.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.qandaentry.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+  </xs:attributeGroup>
+  <xs:group name="db.qandaentry.info">
+    <xs:sequence>
+      <xs:group ref="db:db._info.title.only"/>
+    </xs:sequence>
+  </xs:group>
+  <xs:element name="qandaentry">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:group ref="db:db.qandaentry.info"/>
+        <xs:element ref="db:question"/>
+        <xs:element minOccurs="0" maxOccurs="unbounded" ref="db:answer"/>
+      </xs:sequence>
+      <xs:attributeGroup ref="db:db.qandaentry.attlist"/>
+    </xs:complexType>
+  </xs:element>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.question.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.question.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+  </xs:attributeGroup>
+  <xs:element name="question">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="0" ref="db:label"/>
+        <xs:group maxOccurs="unbounded" ref="db:db.all.blocks"/>
+      </xs:sequence>
+      <xs:attributeGroup ref="db:db.question.attlist"/>
+    </xs:complexType>
+  </xs:element>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.answer.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.answer.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+  </xs:attributeGroup>
+  <xs:element name="answer">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="0" ref="db:label"/>
+        <xs:group maxOccurs="unbounded" ref="db:db.all.blocks"/>
+      </xs:sequence>
+      <xs:attributeGroup ref="db:db.answer.attlist"/>
+    </xs:complexType>
+  </xs:element>
+  <!-- ====================================================================== -->
+  <xs:attributeGroup name="db.label.role.attribute">
+    <xs:attribute name="role" use="required"/>
+  </xs:attributeGroup>
+  <xs:attributeGroup name="db.label.attlist">
+    <xs:attribute name="role"/>
+    <xs:attributeGroup ref="dbs:db.common.attributes"/>
+    <xs:attributeGroup ref="db:db.common.linking.attributes"/>
+  </xs:attributeGroup>
+  <xs:element name="label">
+    <xs:complexType mixed="true">
+      <xs:group ref="db:db._text"/>
+      <xs:attributeGroup ref="db:db.label.attlist"/>
+    </xs:complexType>
+  </xs:element>
+</xs:schema>
